linux-aws/linux-gke incorrectly producing and using linux-*-tools-common/linux-*-cloud-tools-common

Bug #1688579 reported by Andy Whitcroft on 2017-05-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Xenial
High
Andy Whitcroft
linux-aws (Ubuntu)
High
Andy Whitcroft
Xenial
High
Andy Whitcroft
linux-gke (Ubuntu)
High
Andy Whitcroft
Xenial
High
Andy Whitcroft

Bug Description

Both linux-aws and linux-gke are producing linux-*-tools-common and linux-*-cloud-tools-common. By shipping common files in this way we create conflicting packages:

$ sudo apt-get install linux-tools-generic
[...]
$ sudo apt-get install linux-tools-gke
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  linux-headers-4.4.0-45 linux-headers-4.4.0-45-generic linux-headers-4.4.0-75 linux-headers-4.4.0-75-generic linux-headers-4.8.0-27
  linux-headers-4.8.0-27-generic linux-image-4.4.0-45-generic linux-image-4.4.0-75-generic linux-image-4.8.0-27-generic
  linux-image-extra-4.4.0-45-generic linux-image-extra-4.4.0-75-generic linux-image-extra-4.8.0-27-generic linux-signed-image-4.4.0-45-generic
  linux-signed-image-4.4.0-75-generic snap-confine ubuntu-core-launcher
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  linux-gke-tools-4.4.0-1012 linux-gke-tools-common linux-tools-4.4.0-1012-gke
The following NEW packages will be installed
  linux-gke-tools-4.4.0-1012 linux-gke-tools-common linux-tools-4.4.0-1012-gke linux-tools-gke
0 to upgrade, 4 to newly install, 0 to remove and 0 not to upgrade.
Need to get 0 B/804 kB of archives.
After this operation, 2,344 kB of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 427294 files and directories currently installed.)
Preparing to unpack .../linux-gke-tools-common_4.4.0-1012.12_all.deb ...
Unpacking linux-gke-tools-common (4.4.0-1012.12) ...
dpkg: error processing archive /var/cache/apt/archives/linux-gke-tools-common_4.4.0-1012.12_all.deb (--unpack):
 trying to overwrite '/usr/share/man/man8/x86_energy_perf_policy.8.gz', which is also in package linux-tools-common 4.4.0-77.98
Selecting previously unselected package linux-gke-tools-4.4.0-1012.
Preparing to unpack .../linux-gke-tools-4.4.0-1012_4.4.0-1012.12_amd64.deb ...
Unpacking linux-gke-tools-4.4.0-1012 (4.4.0-1012.12) ...
Selecting previously unselected package linux-tools-4.4.0-1012-gke.
Preparing to unpack .../linux-tools-4.4.0-1012-gke_4.4.0-1012.12_amd64.deb ...
Unpacking linux-tools-4.4.0-1012-gke (4.4.0-1012.12) ...
Selecting previously unselected package linux-tools-gke.
Preparing to unpack .../linux-tools-gke_4.4.0.1012.14_amd64.deb ...
Unpacking linux-tools-gke (4.4.0.1012.14) ...
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/linux-gke-tools-common_4.4.0-1012.12_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
$

CVE References

Andy Whitcroft (apw) on 2017-05-05
Changed in linux-aws (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Changed in linux-gke (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → High
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → High
status: New → Confirmed
Changed in linux-aws (Ubuntu Xenial):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → High
status: New → Confirmed
Changed in linux-gke (Ubuntu Xenial):
assignee: nobody → Andy Whitcroft (apw)
importance: Undecided → High
status: New → Confirmed
Changed in linux (Ubuntu Xenial):
status: Confirmed → Fix Committed
Changed in linux-aws (Ubuntu Xenial):
status: Confirmed → Fix Committed
Changed in linux-gke (Ubuntu Xenial):
status: Confirmed → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Download full text (3.5 KiB)

Issue is now fixed:

$ sudo apt-get install linux-tools-generic
[...]

$ sudo apt-get install linux-tools-gke
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  linux-gke-tools-4.4.0-1014 linux-tools-4.4.0-1014-gke
The following NEW packages will be installed:
  linux-gke-tools-4.4.0-1014 linux-tools-4.4.0-1014-gke linux-tools-gke
0 upgraded, 3 newly installed, 0 to remove and 11 not upgraded.
Need to get 703 kB of archives.
After this operation, 2212 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://de.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 linux-gke-tools-4.4.0-1014 amd64 4.4.0-1014.14 [698 kB]
Get:2 http://de.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 linux-tools-4.4.0-1014-gke amd64 4.4.0-1014.14 [2604 B]
Get:3 http://de.archive.ubuntu.com/ubuntu xenial-proposed/universe amd64 linux-tools-gke amd64 4.4.0.1014.16 [2370 B]
Fetched 703 kB in 0s (1828 kB/s)
Selecting previously unselected package linux-gke-tools-4.4.0-1014.
(Reading database ... 70265 files and directories currently installed.)
Preparing to unpack .../linux-gke-tools-4.4.0-1014_4.4.0-1014.14_amd64.deb ...
Unpacking linux-gke-tools-4.4.0-1014 (4.4.0-1014.14) ...
Selecting previously unselected package linux-tools-4.4.0-1014-gke.
Preparing to unpack .../linux-tools-4.4.0-1014-gke_4.4.0-1014.14_amd64.deb ...
Unpacking linux-tools-4.4.0-1014-gke (4.4.0-1014.14) ...
Selecting previously unselected package linux-tools-gke.
Preparing to unpack .../linux-tools-gke_4.4.0.1014.16_amd64.deb ...
Unpacking linux-tools-gke (4.4.0.1014.16) ...
Setting up linux-gke-tools-4.4.0-1014 (4.4.0-1014.14) ...
Setting up linux-tools-4.4.0-1014-gke (4.4.0-1014.14) ...
Setting up linux-tools-gke (4.4.0.1014.16) ...

$ sudo apt-get install linux-tools-aws
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  linux-aws-tools-4.4.0-1018 linux-tools-4.4.0-1018-aws
The following NEW packages will be installed:
  linux-aws-tools-4.4.0-1018 linux-tools-4.4.0-1018-aws linux-tools-aws
0 upgraded, 3 newly installed, 0 to remove and 11 not upgraded.
Need to get 703 kB of archives.
After this operation, 2232 kB of additional disk space will be used.
Do you want to continue? [Y/n]
Get:1 http://de.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-aws-tools-4.4.0-1018 amd64 4.4.0-1018.27 [698 kB]
Get:2 http://de.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-tools-4.4.0-1018-aws amd64 4.4.0-1018.27 [2598 B]
Get:3 http://de.archive.ubuntu.com/ubuntu xenial-proposed/main amd64 linux-tools-aws amd64 4.4.0.1018.21 [2278 B]
Fetched 703 kB in 0s (1891 kB/s)
Selecting previously unselected package linux-aws-tools-4.4.0-1018.
(Reading database ... 70289 files and directories currently installed.)
Preparing to unpack .../linux-aws-tools-4.4.0-1018_4.4.0-1018.27_amd64.deb ...
Unpacking linux-aws-tools-4.4.0-1018 (4.4.0-1018.27) ...
Selecting previously unselected package linux-tools-4.4.0-1018-aws.
Preparing to unpack .../linux-tools-...

Read more...

tags: added: verification-done-xenial
removed: verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (9.7 KiB)

This bug was fixed in the package linux - 4.4.0-79.100

---------------
linux (4.4.0-79.100) xenial; urgency=low

  * linux: 4.4.0-79.100 -proposed tracker (LP: #1691180)

  * linux-aws/linux-gke incorrectly producing and using linux-*-tools-
    common/linux-*-cloud-tools-common (LP: #1688579)
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      gke versions
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      aws versions
    - [Packaging] prevent linux-*-tools-common from being produced from non linux
      packages

  * CVE-2017-0605
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()

  * i915-bpo crashes on external hdmi input (LP: #1580272)
    - SAUCE: i915_bpo: Silence the warning about watermark entries not changing

  * Kernel panics on Xenial when using cgroups and strict CFS limits
    (LP: #1687512)
    - sched/fair: Initialize throttle_count for new task-groups lazily
    - sched/fair: Do not announce throttled next buddy in dequeue_task_fair()

  * bonding - mlx5 - speed changed to 0 after changing ring size (LP: #1687877)
    - bonding: allow notifications for bond_set_slave_link_state

  * Xenial update to 4.4.67 stable release (LP: #1689296)
    - timerfd: Protect the might cancel mechanism proper
    - Handle mismatched open calls
    - ASoC: intel: Fix PM and non-atomic crash in bytcr drivers
    - ALSA: ppc/awacs: shut up maybe-uninitialized warning
    - drbd: avoid redefinition of BITS_PER_PAGE
    - mtd: avoid stack overflow in MTD CFI code
    - net: tg3: avoid uninitialized variable warning
    - netlink: Allow direct reclaim for fallback allocation
    - IB/qib: rename BITS_PER_PAGE to RVT_BITS_PER_PAGE
    - IB/ehca: fix maybe-uninitialized warnings
    - ext4: require encryption feature for EXT4_IOC_SET_ENCRYPTION_POLICY
    - ext4 crypto: revalidate dentry after adding or removing the key
    - ext4 crypto: use dget_parent() in ext4_d_revalidate()
    - ext4/fscrypto: avoid RCU lookup in d_revalidate
    - nfsd4: minor NFSv2/v3 write decoding cleanup
    - nfsd: stricter decoding of write-like NFSv2/v3 ops
    - dm ioctl: prevent stack leak in dm ioctl call
    - Linux 4.4.67

  * Precision Rack failed to resume from S4 (LP: #1686061)
    - x86 / hibernate: Use hlt_play_dead() when resuming from hibernation
    - x86/boot: Split out kernel_ident_mapping_init()
    - x86/power/64: Always create temporary identity mapping correctly

  * Xenial update to 4.4.66 stable release (LP: #1688505)
    - f2fs: do more integrity verification for superblock
    - xc2028: unlock on error in xc2028_set_config()
    - ARM: OMAP2+: timer: add probe for clocksources
    - clk: sunxi: Add apb0 gates for H3
    - crypto: testmgr - fix out of bound read in __test_aead()
    - drm/amdgpu: fix array out of bounds
    - ext4: check if in-inode xattr is corrupted in ext4_expand_extra_isize_ea()
    - md:raid1: fix a dead loop when read from a WriteMostly disk
    - MIPS: Fix crash registers on non-crashing CPUs
    - net: cavium: liquidio: Avoid dma_unmap_single on uninitialized ndata
    - net_sched: close another race condition in tcf_mirre...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux-aws - 4.4.0-1018.27

---------------
linux-aws (4.4.0-1018.27) xenial; urgency=low

  * linux-aws: 4.4.0-1018.27 -proposed tracker (LP: #1691184)

  * linux xenial derivatives fail to build (LP: #1691814)
    - [Packaging] Set do_tools_common in common vars
    - [Packaging] Do not build tools-common

  * linux-aws/linux-gke incorrectly producing an empty linux-*-source package-*
    (LP: #1690183)
    - [Packaging] drop linux-aws-source-* package

  * linux-aws/linux-gke incorrectly producing and using linux-*-tools-
    common/linux-*-cloud-tools-common (LP: #1688579)
    - [Config] linux-tools-* linux-cloud-tools-* share -common packages with linux

  * disable many ACPI features (LP: #1689372)
    - [config] AWS: disable assorted ACPI features

  * disable NOUVEAU (LP: #1689373)
    - [config] AWS: disable NOUVEAU

  * disable GPIOLIB, PINCTRL, and all consumers of them (LP: #1689374)
    - [config] AWS: disable INTEL_LPSS, AMD_PLATFORM, PINCTRL
    - [config] AWS: disable GPIOLIB

  [ Ubuntu: 4.4.0-79.100 ]

  * linux: 4.4.0-79.100 -proposed tracker (LP: #1691180)
  * linux-aws/linux-gke incorrectly producing and using linux-*-tools-
    common/linux-*-cloud-tools-common (LP: #1688579)
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      gke versions
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      aws versions
    - [Packaging] prevent linux-*-tools-common from being produced from non linux
      packages
  * CVE-2017-0605
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()
  * i915-bpo crashes on external hdmi input (LP: #1580272)
    - SAUCE: i915_bpo: Silence the warning about watermark entries not changing
  * Kernel panics on Xenial when using cgroups and strict CFS limits
    (LP: #1687512)
    - sched/fair: Initialize throttle_count for new task-groups lazily
    - sched/fair: Do not announce throttled next buddy in dequeue_task_fair()
  * bonding - mlx5 - speed changed to 0 after changing ring size (LP: #1687877)
    - bonding: allow notifications for bond_set_slave_link_state
  * Xenial update to 4.4.67 stable release (LP: #1689296)
    - timerfd: Protect the might cancel mechanism proper
    - Handle mismatched open calls
    - ASoC: intel: Fix PM and non-atomic crash in bytcr drivers
    - ALSA: ppc/awacs: shut up maybe-uninitialized warning
    - drbd: avoid redefinition of BITS_PER_PAGE
    - mtd: avoid stack overflow in MTD CFI code
    - net: tg3: avoid uninitialized variable warning
    - netlink: Allow direct reclaim for fallback allocation
    - IB/qib: rename BITS_PER_PAGE to RVT_BITS_PER_PAGE
    - IB/ehca: fix maybe-uninitialized warnings
    - ext4: require encryption feature for EXT4_IOC_SET_ENCRYPTION_POLICY
    - ext4 crypto: revalidate dentry after adding or removing the key
    - ext4 crypto: use dget_parent() in ext4_d_revalidate()
    - ext4/fscrypto: avoid RCU lookup in d_revalidate
    - nfsd4: minor NFSv2/v3 write decoding cleanup
    - nfsd: stricter decoding of write-like NFSv2/v3 ops
    - dm ioctl: prevent stack leak in dm ioctl call
    - Linux 4.4.67
  * Precis...

Changed in linux-aws (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (10.3 KiB)

This bug was fixed in the package linux-gke - 4.4.0-1014.14

---------------
linux-gke (4.4.0-1014.14) xenial; urgency=low

  * linux-gke: 4.4.0-1014.14 -proposed tracker (LP: #1691186)

  * linux xenial derivatives fail to build (LP: #1691814)
    - [Packaging] Set do_tools_common in common vars
    - [Packaging] Put hooks.mk file in the right place

  * linux-aws/linux-gke incorrectly producing an empty linux-*-source package-*
    (LP: #1690183)
    - [Packaging] drop linux-gke-source-* package

  * linux-aws/linux-gke incorrectly producing and using linux-*-tools-
    common/linux-*-cloud-tools-common (LP: #1688579)
    - [Config] linux-tools-* linux-cloud-tools-* share -common packages with linux

  [ Ubuntu: 4.4.0-79.100 ]

  * linux: 4.4.0-79.100 -proposed tracker (LP: #1691180)
  * linux-aws/linux-gke incorrectly producing and using linux-*-tools-
    common/linux-*-cloud-tools-common (LP: #1688579)
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      gke versions
    - [Config] make linux-tools-common and linux-cloud-tools-common provide linux-
      aws versions
    - [Packaging] prevent linux-*-tools-common from being produced from non linux
      packages
  * CVE-2017-0605
    - tracing: Use strlcpy() instead of strcpy() in __trace_find_cmdline()
  * i915-bpo crashes on external hdmi input (LP: #1580272)
    - SAUCE: i915_bpo: Silence the warning about watermark entries not changing
  * Kernel panics on Xenial when using cgroups and strict CFS limits
    (LP: #1687512)
    - sched/fair: Initialize throttle_count for new task-groups lazily
    - sched/fair: Do not announce throttled next buddy in dequeue_task_fair()
  * bonding - mlx5 - speed changed to 0 after changing ring size (LP: #1687877)
    - bonding: allow notifications for bond_set_slave_link_state
  * Xenial update to 4.4.67 stable release (LP: #1689296)
    - timerfd: Protect the might cancel mechanism proper
    - Handle mismatched open calls
    - ASoC: intel: Fix PM and non-atomic crash in bytcr drivers
    - ALSA: ppc/awacs: shut up maybe-uninitialized warning
    - drbd: avoid redefinition of BITS_PER_PAGE
    - mtd: avoid stack overflow in MTD CFI code
    - net: tg3: avoid uninitialized variable warning
    - netlink: Allow direct reclaim for fallback allocation
    - IB/qib: rename BITS_PER_PAGE to RVT_BITS_PER_PAGE
    - IB/ehca: fix maybe-uninitialized warnings
    - ext4: require encryption feature for EXT4_IOC_SET_ENCRYPTION_POLICY
    - ext4 crypto: revalidate dentry after adding or removing the key
    - ext4 crypto: use dget_parent() in ext4_d_revalidate()
    - ext4/fscrypto: avoid RCU lookup in d_revalidate
    - nfsd4: minor NFSv2/v3 write decoding cleanup
    - nfsd: stricter decoding of write-like NFSv2/v3 ops
    - dm ioctl: prevent stack leak in dm ioctl call
    - Linux 4.4.67
  * Precision Rack failed to resume from S4 (LP: #1686061)
    - x86 / hibernate: Use hlt_play_dead() when resuming from hibernation
    - x86/boot: Split out kernel_ident_mapping_init()
    - x86/power/64: Always create temporary identity mapping correctly
  * Xenial update to 4.4.66 stable release (LP: #1688505)
    - f2fs: do more int...

Changed in linux-gke (Ubuntu Xenial):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers